// I Liceum Oglnoksztacce w Tarnowie
// Koo informatyczne 2007/2011
// (C) mgr Jerzy Waaszek
// Biblioteka procedur graficznych dla trybw 32 bitowych
// Wersja 1.00
//-------------------------------------------------------

#if !defined(__NEW_GFX_FUNCT__)
#define __NEW_GFX_FUNCT__

#include <SDL/SDL.h>

const char * gfxLibVersion(void);
void gfxBoundaryFill(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 fcolor, Uint32 bcolor);
void gfxCircle(SDL_Surface * s, Sint32 xs, Sint32 ys, Sint32 r, Uint32 color);
void gfxCircle(SDL_Surface * s, Sint32 xs, Sint32 ys, Sint32 r, Uint32 color, Uint32 alpha);
void gfxClipCircle(SDL_Surface * s, Sint32 xs, Sint32 ys, Sint32 r, Uint32 color);
void gfxClipCircle(SDL_Surface * s, Sint32 xs, Sint32 ys, Sint32 r, Uint32 color, Uint32 alpha);
void gfxClipEllipse(SDL_Surface * s, Sint32 xs, Sint32 ys, Sint32 rx, Sint32 ry, Uint32 color);
void gfxClipEllipse(SDL_Surface * s, Sint32 xs, Sint32 ys, Sint32 rx, Sint32 ry, Uint32 color, Uint32 alpha);
void gfxClipHLine(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 color, Uint32 len);
void gfxClipHLine(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 color, Uint32 len, Uint32 alpha);
void gfxClipLine(SDL_Surface * screen, Sint32 x1, Sint32 y1, Sint32 x2, Sint32 y2, Uint32 color);
void gfxClipLine(SDL_Surface * screen, Sint32 x1, Sint32 y1, Sint32 x2, Sint32 y2, Uint32 color, Uint32 alpha);
void gfxClipLineTo(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 color);
void gfxClipLineTo(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 color, Uint32 alpha);
void gfxClipPlot(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 color);
void gfxClipPlot(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 color, Uint32 alpha);
void gfxClipPoly(SDL_Surface * s, Sint32 * f, Uint32 color);
void gfxClipPoly(SDL_Surface * s, Sint32 * f, Uint32 color, Uint32 alpha);
void gfxClipRect(SDL_Surface * screen, SDL_Rect * r, Uint32 color);
void gfxClipRect(SDL_Surface * screen, SDL_Rect * r, Uint32 color, Uint32 alpha);
void gfxClipVLine(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 color, Uint32 len, Uint32 alpha);
void gfxClipVLine(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 color, Uint32 len);
void gfxClipWuLine(SDL_Surface * s, Sint32 x1, Sint32 y1, Sint32 x2, Sint32 y2, Uint32 color);
void gfxClipWuLineTo(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 color);
void gfxClipWuPoly(SDL_Surface * s, Sint32 * f, Uint32 color);
void gfxEllipse(SDL_Surface * s, Sint32 xs, Sint32 ys, Sint32 rx, Sint32 ry, Uint32 color);
void gfxEllipse(SDL_Surface * s, Sint32 xs, Sint32 ys, Sint32 rx, Sint32 ry, Uint32 color, Uint32 alpha);
void gfxFillCircle(SDL_Surface * s, Sint32 xs, Sint32 ys, Sint32 r, Uint32 color);
void gfxFillCircle(SDL_Surface * s, Sint32 xs, Sint32 ys, Sint32 r, Uint32 color, Uint32 alpha);
void gfxFillEllipse(SDL_Surface * s, Sint32 xs, Sint32 ys, Sint32 rx, Sint32 ry, Uint32 color);
void gfxFillEllipse(SDL_Surface * s, Sint32 xs, Sint32 ys, Sint32 rx, Sint32 ry, Uint32 color, Uint32 alpha);
void gfxFillPoly(SDL_Surface * s, Sint32 * f, Uint32 color);
void gfxFillPoly(SDL_Surface * s, Sint32 * f, Uint32 color, Uint32 alpha);
void gfxFloodFill(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 fcolor);
void gfxHLine(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 color, Uint32 len);
void gfxHLine(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 color, Uint32 len, Uint32 alpha);
void gfxLine(SDL_Surface * screen, Sint32 x1, Sint32 y1, Sint32 x2, Sint32 y2, Uint32 color);
void gfxLine(SDL_Surface * screen, Sint32 x1, Sint32 y1, Sint32 x2, Sint32 y2, Uint32 color, Uint32 alpha);
void gfxLineTo(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 color);
void gfxLineTo(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 color, Uint32 alpha);
void gfxMoveTo(Sint32 x, Sint32 y);
void gfxPlot(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 color);
void gfxPlot(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 color, Uint32 alpha);
void gfxPoly(SDL_Surface * s, Sint32 * f, Uint32 color);
void gfxPoly(SDL_Surface * s, Sint32 * f, Uint32 color, Uint32 alpha);
void gfxRect(SDL_Surface * screen, SDL_Rect * r, Uint32 color);
void gfxRect(SDL_Surface * screen, SDL_Rect * r, Uint32 color, Uint32 alpha);
void gfxVLine(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 color, Uint32 len);
void gfxVLine(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 color, Uint32 len, Uint32 alpha);
void gfxWuLine(SDL_Surface * s, Sint32 x0, Sint32 y0, Sint32 x1, Sint32 y1, Uint32 color);
void gfxWuLineTo(SDL_Surface * screen, Sint32 x, Sint32 y, Uint32 color);
void gfxWuPoly(SDL_Surface * s, Sint32 * f, Uint32 color);
Uint32 gfxGetPixel(SDL_Surface * screen, Sint32 x, Sint32 y);

#endif //__NEW_GFX_FUNCT__
